org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MinTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MinTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MinTest.Traversals

- Enclosing class:
    MinTest

      public static class MinTest.Traversals
      extends MinTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MinTest

      `MinTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Integer>` | `get_g_V_age_min()`
    `Traversal<Vertex,Number>` | `get_g_V_foo_injectX9999999999X_min()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_minX()`
    `Traversal<Vertex,Integer>` | `get_g_V_repeatXbothX_timesX5X_age_min()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MinTest

      `g_V_age_min, g_V_foo_injectX9999999999X_min, g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_minX, g_V_repeatXbothX_timesX5X_age_min`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_age_min

          public Traversal<Vertex,Integer> get_g_V_age_min()

      Specified by:
        `get_g_V_age_min` in class `MinTest`

    - #### get_g_V_repeatXbothX_timesX5X_age_min

          public Traversal<Vertex,Integer> get_g_V_repeatXbothX_timesX5X_age_min()

      Specified by:
        `get_g_V_repeatXbothX_timesX5X_age_min` in class `MinTest`

    - #### get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_minX

          public Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_minX()

      Specified by:
        `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_minX` in class `MinTest`

    - #### get_g_V_foo_injectX9999999999X_min

          public Traversal<Vertex,Number> get_g_V_foo_injectX9999999999X_min()

      Specified by:
        `get_g_V_foo_injectX9999999999X_min` in class `MinTest`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.